<h1>Edit your post</h1>

<form action="/admin/posts/edit/{{post.id}}?_method=PUT" method="POST" enctype="multipart/form-data">
    <div class="form-group">
        <label for="title">Title</label>
        <input name="title" type="text" class="form-control" id="title" value="{{post.title}}">
    </div>

     <div class="form-group">
        <label for="category">Category</label>
        <select name="category" id="category" class="form-control">
            {{#select post.category}}
            {{#each category}}
            <option value="{{id}}">{{name}}</option>
            {{/each}}
            {{/select}}
        
        </select>
    </div>


    <div class="form-group">
        <label for="file">Upload Image</label>
        <input name="file" type="file" class="form-control">
    </div>

    {{!-- {{#select "hello im from helpers"}}{{/select}} --}}

    <div class="form-group">
        <label for="status">Status</label>
        <select name="status" id="status" class="form-control">
            {{#select post.status}}
            <option value="public">Public</option>
            <option value="private">Private</option>
            <option value="draft">Draft</option>
            {{/select}}
        </select>
    </div>

    <div class="form-check">
        <label for="allowComments" class="form-check-label">
            <input {{#if post.allowComments}} checked="checked" {{/if}} name="allowComments" type="checkbox"
                class="form-check-input" id="allowComments">
            Allow comments
        </label>

    </div>


    <div class="form-group">
        <label for="body">Body</label>
        <textarea id="editor" name="body" cols="25" rows="10" type="text" class="form-control" id="body">{{post.body}}</textarea>
    </div>

    <button type="submit" class="btn btn-primary">Update post</button>


</form>

<script src="/ckeditor/ckeditor.js"></script>
 <script>
    CKEDITOR.replace( 'editor' );
</script>